JetBrains TeamCity prior 2022.04 Build Chain Status Page cross site scripting

A vulnerability classified as problematic has been found in JetBrains TeamCity. Affected is some unknown functionality of the component Build Chain Status Page. Upgrading to version 2022.04 eliminates this vulnerability.

Field05/12/2022 12:47 PM05/14/2022 04:17 PM
vendorJetBrainsJetBrains
nameTeamCityTeamCity
componentBuild Chain Status PageBuild Chain Status Page
cwe79 (cross site scripting)79 (cross site scripting)
risk11
cvss3_vuldb_avNN
cvss3_vuldb_acLL
cvss3_vuldb_prLL
cvss3_vuldb_uiRR
cvss3_vuldb_sUU
cvss3_vuldb_cNN
cvss3_vuldb_iLL
cvss3_vuldb_aNN
cvss3_vuldb_rlOO
cvss3_vuldb_rcCC
cvss3_cna_avNN
cvss3_cna_acLL
cvss3_cna_prLL
cvss3_cna_uiRR
cvss3_cna_sUU
cvss3_cna_cLL
cvss3_cna_iLL
cvss3_cna_aNN
urlhttps://www.jetbrains.com/privacy-security/issues-fixed/https://www.jetbrains.com/privacy-security/issues-fixed/
nameUpgradeUpgrade
upgrade_version2022.042022.04
cveCVE-2022-29927CVE-2022-29927
cve_assigned16511832001651183200
cve_cnaJetBrains s.r.o.JetBrains s.r.o.
date1652306400 (05/12/2022)1652306400 (05/12/2022)
cvss2_vuldb_avNN
cvss2_vuldb_acLL
cvss2_vuldb_ciNN
cvss2_vuldb_iiPP
cvss2_vuldb_aiNN
cvss2_vuldb_rcCC
cvss2_vuldb_rlOFOF
cvss2_vuldb_auSS
cvss2_vuldb_eNDND
cvss3_vuldb_eXX
cvss3_cna_basescore4.64.6
cvss2_vuldb_basescore4.04.0
cvss2_vuldb_tempscore3.53.5
cvss3_vuldb_basescore3.53.5
cvss3_vuldb_tempscore3.43.4
cvss3_meta_basescore4.04.0
cvss3_meta_tempscore4.04.0
price_0day$0-$5k$0-$5k
cve_nvd_summaryIn JetBrains TeamCity before 2022.04 reflected XSS on the Build Chain Status page was possible

Might our Artificial Intelligence support you?

Check our Alexa App!